# Uses of Interface
io.github.jdbcx.DriverExtension

Packages that use DriverExtension
Package
Description
io.github.jdbcx
io.github.jdbcx.driver
io.github.jdbcx.extension

## Uses of DriverExtension in io.github.jdbcx

Methods in io.github.jdbcx with parameters of type DriverExtension
Modifier and Type
Method
Description
`default int`
DriverExtension.`compareTo(DriverExtension o)`
`static Properties`
DriverExtension.`extractProperties(DriverExtension extension, Properties properties)`
`static String`
DriverExtension.`getName(DriverExtension extension)`

## Uses of DriverExtension in io.github.jdbcx.driver

Classes in io.github.jdbcx.driver that implement DriverExtension
Modifier and Type
Class
Description
`final class`
`DefaultDriverExtension`
`final class`
`HelpDriverExtension`
Fields in io.github.jdbcx.driver declared as DriverExtension
Modifier and Type
Field
Description
`protected final DriverExtension`
WrappedConnection.`defaultExtension`
Fields in io.github.jdbcx.driver with type parameters of type DriverExtension
Modifier and Type
Field
Description
`protected final Map<String,DriverExtension>`
WrappedConnection.`extensions`
Methods in io.github.jdbcx.driver that return DriverExtension
Modifier and Type
Method
Description
`protected DriverExtension`
WrappedConnection.`getExtension(String name)`
`static final DriverExtension`
DefaultDriverExtension.`getInstance()`
Methods in io.github.jdbcx.driver with parameters of type DriverExtension
Modifier and Type
Method
Description
`protected Properties`
WrappedConnection.`extractProperties(DriverExtension ext)`

## Uses of DriverExtension in io.github.jdbcx.extension

Classes in io.github.jdbcx.extension that implement DriverExtension
Modifier and Type
Class
Description
`class`
`BlackholeDriverExtension`
`class`
`CodeQLDriverExtension`
`class`
`PromptDriverExtension`
`class`
`PrqlDriverExtension`
`class`
`ScriptDriverExtension`
`class`
`ShellDriverExtension`
`class`
`SqlDriverExtension`
`class`
`VarsDriverExtension`
`final class`
`VersionDriverExtension`
`class`
`WebDriverExtension`